package com.ruoyi.cs.service;

import java.util.List;
import com.ruoyi.cs.domain.CsExpireRemind;

/**
 * 到期提醒Service接口
 * 
 * @author ruoyi
 * @date 2024-05-07
 */
public interface ICsExpireRemindService 
{
    /**
     * 查询到期提醒
     * 
     * @param remindId 到期提醒主键
     * @return 到期提醒
     */
    public CsExpireRemind selectCsExpireRemindByRemindId(String remindId);

    /**
     * 查询到期提醒列表
     * 
     * @param csExpireRemind 到期提醒
     * @return 到期提醒集合
     */
    public List<CsExpireRemind> selectCsExpireRemindList(CsExpireRemind csExpireRemind);

    /**
     * 新增到期提醒
     * 
     * @param csExpireRemind 到期提醒
     * @return 结果
     */
    public int insertCsExpireRemind(CsExpireRemind csExpireRemind);

    /**
     * 修改到期提醒
     * 
     * @param csExpireRemind 到期提醒
     * @return 结果
     */
    public int updateCsExpireRemind(CsExpireRemind csExpireRemind);

    /**
     * 批量删除到期提醒
     * 
     * @param remindIds 需要删除的到期提醒主键集合
     * @return 结果
     */
    public int deleteCsExpireRemindByRemindIds(String[] remindIds);

    /**
     * 删除到期提醒信息
     * 
     * @param remindId 到期提醒主键
     * @return 结果
     */
    public int deleteCsExpireRemindByRemindId(String remindId);
}
